# This is a sample build configuration for Python.
# Check our guides at https://confluence.atlassian.com/x/VYk8Lw for more examples.
# Only use spaces to indent your .yml configuration.
# -----
# You can specify a custom docker image from Docker Hub as your build environment.
image: continuumio/anaconda:latest

pipelines:
  default:
    - step:
        script: # Modify the commands below to build your repository.
          - conda env create -f environment.yml
          - source activate xmlval
          - pip install .
          - pytest xmlvalidator
